<?php
/**
 * @file
 * Functions to make some admin selected Solr fields sortable.
 * 
 * @copyright (c) 2010-2011 eXtensible Catalog Organization
 * 
 * // TODO 
 * - create table: xc_index_sortable(name char(255));
 * - xc_index_sortables_form_submit()
 * - xc_index_sortables_list()
 */

function xc_index_sortables_form() {
  $list = xc_solr_fields2index_list('simple');
  $form['sortables'] = array(
    '#type' => 'select',
    '#title' => t('All Solr fields'),
    '#description' => t('Select the fields, you might want to make use in sorting search result list.'),
    '#options' => $list,
    '#multiple' => TRUE,
    '#size' => 20,
    // '#default_value' => 'ncip',
    '#required' => TRUE
  );
  
  $form['submit'] = array(
    '#type' => 'submit',
    '#value' => t('Save')
  );

  return $form;
}
